// drawView.h : interface of the CDrawView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRAWVIEW_H__40EE01EE_4409_11D2_9A63_CA3B8F3FF544__INCLUDED_)
#define AFX_DRAWVIEW_H__40EE01EE_4409_11D2_9A63_CA3B8F3FF544__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


class CDrawView : public CView
{
protected: // create from serialization only
	CDrawView();
	DECLARE_DYNCREATE(CDrawView)

// Attributes
public:
	CDrawDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrawView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDrawView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	int DrawCurrent;
	int PushNumb;
	float Screenxy[50][3];
	int ScreenNumb;
	int pbone;
	CPoint mPointOld;
	CPoint mPointOrign;
	float xLeft,xRight,yTop,yBottom,xPage,yPage,xWide,yHigh;
	int nPageX,nPageY;
	void SaveScreen();
	virtual void OnPrepareDC(CDC* pDC,CPrintInfo* pInfo);


// Generated message map functions
protected:
	//{{AFX_MSG(CDrawView)
	afx_msg void DrawCircle();
	afx_msg void DrawFcircle();
	afx_msg void DrawLine();
	afx_msg void DrawPline();
	afx_msg void DrawRectangle();
	afx_msg void OptionInitial();
	afx_msg void OptionPan();
	afx_msg void OptionPrevious();
	afx_msg void OptionRedraw();
	afx_msg void OptionZoom();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in drawView.cpp
inline CDrawDoc* CDrawView::GetDocument()
   { return (CDrawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DRAWVIEW_H__40EE01EE_4409_11D2_9A63_CA3B8F3FF544__INCLUDED_)
